# 构建步骤
- 运行Dockerfile文件构建镜像 docker build  -t know-sub-nginx:1.0.0 .

# 启动说明
- docker run -itd --name know-sub-nginx -p 1180:80 -v /data/know_sub/html/:/usr/share/nginx/html/ \
        -e KNOW_SUB_SERVERS=192.168.10.138:9201  know-sub-nginx:1.0.0
    - itd : -itd : 无交互模式启动
    - -p 1180:80 : 端口映射 **必填**
    - KNOW_SUB_SERVERS : 后端服务器地址，只允许有单个。 **必填**
    - know-sub-nginx:1.0.0 构建的镜像名称

# 注意事项
- 如果需要对后端服务进行负载均衡把 /data/know_sub/nginx/conf/ 目录挂载出来，然后创建配置文件servers.conf\
   编辑配置文件：
    ```shell
         
          upstream know_sub_servers {
                server $KNOW_SUB_SERVERS;
            }
    ```
