package com.supervision.knowsub.service;

import com.supervision.knowsub.dto.role.UserRoleDTO;
import com.supervision.knowsub.model.SystemUserRoleRelation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_user_role_relation(用户角色关联表)】的数据库操作Service
* @createDate 2024-06-28 10:41:20
*/
public interface SystemUserRoleRelationService extends IService<SystemUserRoleRelation> {


    List<UserRoleDTO> listUserRole(String userId, String roleId,String roleName);

    List<UserRoleDTO> listUserRoleByUserIds(List<String> userIds);
}
