package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.dto.role.UserRoleDTO;
import com.supervision.knowsub.model.SystemUserRoleRelation;
import com.supervision.knowsub.service.SystemUserRoleRelationService;
import com.supervision.knowsub.mapper.SystemUserRoleRelationMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_user_role_relation(用户角色关联表)】的数据库操作Service实现
* @createDate 2024-06-28 10:41:20
*/
@Service
public class SystemUserRoleRelationServiceImpl extends ServiceImpl<SystemUserRoleRelationMapper, SystemUserRoleRelation>
    implements SystemUserRoleRelationService{

    @Override
    public List<UserRoleDTO> listUserRole(String userId, String roleId,String roleName) {
        return super.getBaseMapper().listUserRole(userId, roleId,roleName);
    }

    @Override
    public List<UserRoleDTO> listUserRoleByUserIds(List<String> userIds) {
        return  super.getBaseMapper().listUserRoleByUserIds(userIds);
    }
}




