package com.supervision.knowsub.enums;

/**
 * 0:普通角色 1：管理员 2：知识报送 3：知识审批
 */
public enum RoleTypeEnum {

    NORMAL(0, "普通角色"),
    ADMIN(1, "管理员"),
    KNOWLEDGE_SUBMIT(2, "知识报送"),
    KNOWLEDGE_APPROVAL(3, "知识审批");

    private Integer roleType;

    private String desc;

    RoleTypeEnum(Integer roleType, String desc) {
        this.roleType = roleType;
        this.desc = desc;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public String getDesc() {
        return desc;
    }
}
