package com.supervision.knowsub.vo.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class UserInfoReqVo {

    @Schema(description = "id")
    private String id;

    @Schema(description = "头像ID")
    private String headPicId;

    @Schema(description = "用户名")
    private String account;

    @Schema(description = "姓名")
    private String username;

    @Schema(description = "部门ID")
    private String deptId;

    @Schema(description = "角色ID列表")
    private List<String> roleIds;

    @Schema(description = "备注")
    private String remark;
}
